Description

Otherwise, as soon as someone restarts Kepler in a specific module configuration (that is not the most recent patched version of all
modules) the user is immediately prompted to update. Automatic updates should be turned off until the user turns them back on.

Related issues:
Blocked by Kepler - Bug #5099: Import Dependent Modules for KAR doesn't work Resolved 07/21/2010

History

#1 - 08/05/2010 04:26 PM - Derik Barseghian

Since I'm working on the Import Dependent Modules feature, if you can simply provide an methods that | can call to get and set automatic update
status, that will be sufficient.

#2 - 08/11/2010 05:17 PM - David Welker

The functionality for this is ready to go. Derik just needs to make an appropriate call at the appropriate time.
The following code should do the trick in the appropriate place:

ConfigurationProperty common = ConfigurationManager.getinstance().
getProperty(ConfigurationManager.getModule("common"));
ConfigurationProperty checkForPatches = common.getProperty("check-for-patches");

try {
checkForPatches.setValue("false");

ConfigurationManager.getinstance().saveConfiguration();

catch (ConfigurationManagerException e) {
e.printStackTrace();

}

#3 - 08/12/2010 03:55 PM - Derik Barseghian

Thanks David, I'm now using this feature in 2.1 -- when a user with KARCompliance set to Strict restarts for a KAR requiring specific modules,
automatic updating is turned off (and they're warned this will happen, and how to re-enable it).
Closing.

#4 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5119
